%define anolis_release 2

%global pypi_name hypothesmith

%global common_description %{expand:
Hypothesis strategies for generating Python programs, something like CSmith.}

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Hypothesis strategies for generating Python programs

License:        MPLv2.0
URL:            https://github.com/Zac-HD/hypothesmith
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
%{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
# rm -rf %{pypi_name}.egg-info
# Tox configuration is passing unsupported arguments to pytest
# rm tox.ini

%generate_buildrequires
%pyproject_buildrequires -r deps/test.in


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{pypi_name}


%check
%pytest


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.2.0-2
- Rebuild with python3.11

* Sat Apr 29 2023 Funda Wang <fundawang@yeah.net> - 0.2.0-1
- Import pakcage for anolis 23
